Bug 252047 - graphics/p5-Image-ExifTool-devel: Update to 12.12
Summary: graphics/p5-Image-ExifTool-devel: Update to 12.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-22 11:12 UTC by takefu
Modified: 2021-01-09 19:01 UTC (History)
3 users (show)

See Also:
takefu: maintainer-feedback? (linpct)


Attachments
p5-Image-ExifTool-12.12.patch (1.44 KB, patch)
2020-12-22 11:12 UTC, takefu
no flags Details | Diff
p5-Image-ExifTool-devel-12.12.patch (8.45 KB, patch)
2020-12-23 15:13 UTC, takefu
no flags Details | Diff
p5-Image-ExifTool-devel-12.12.patch (8.45 KB, patch)
2020-12-23 15:21 UTC, takefu
no flags Details | Diff
p5-Image-ExifTool-devel-12.12.patch (8.50 KB, patch)
2020-12-24 18:05 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2020-12-22 11:12:38 UTC
Created attachment 220811 [details]
p5-Image-ExifTool-12.12.patch
Comment 1 Tod McQuillin 2020-12-23 04:50:23 UTC
Hi all, I'm the port maintainer for graphics/p5-Image-ExifTool.

The perl Image::ExifTool module version history is described here:
https://exiftool.org/history.html

As you can see, periodically, certain version of exiftool are designated as "production versions".

The graphics/p5-Image-ExifTool port tracks the current production version of exiftool, which at this moment is version 12.00.

For non-production versions, please use the graphics/p5-Image-ExifTool-devel port which is used to track off-cycle releases.

For this reason I do not approve the patch to 12.12 for graphics/p5-Image-ExifTool.

Thank you!
Comment 2 Rainer Hurling freebsd_committer 2020-12-23 06:48:50 UTC
Thanks Tod, for the clarification.

@takefu: I think, you should close this PR and probably open a new one for graphics/p5-Image-ExifTool-devel, as mentioned by Tod?
Comment 3 takefu 2020-12-23 15:13:13 UTC
Created attachment 220846 [details]
p5-Image-ExifTool-devel-12.12.patch

Moved to p5-Image-ExifTool-devel
Comment 4 takefu 2020-12-23 15:21:14 UTC
Created attachment 220847 [details]
p5-Image-ExifTool-devel-12.12.patch
Comment 5 Rainer Hurling freebsd_committer 2020-12-23 16:01:38 UTC
Hi takefu,

a bit unusual, but probably it works that way, 'reusing' the previous PR now for the devel version ;)


Two issues I noticed:

(1) The new patch on the port graphics/p5-Image-ExifTool-devel has a different maintainer: Daniel Lin <linpct@gmail.com>. You should ask for maintainer-approval from him by setting the corresponding flag of the patch in the attachment area to '?' ...


(2) With your patch, 'portlint -AC' complains about USES=, which has to appear earlier. This is because of two CONFLICTS lines, the first one is obsolete(?):

--- Makefile.orig	2020-12-23 16:30:09.561458000 +0100
+++ Makefile	2020-12-23 16:37:29.726380000 +0100
@@ -14,8 +14,6 @@
 LICENSE=	ART10 GPLv1+
 LICENSE_COMB=	dual
 
-CONFLICTS=	p5-Image-ExifTool-[0-9]*
-
 USES=		perl5
 USE_PERL5=	configure
Comment 6 takefu 2020-12-24 18:05:33 UTC
Created attachment 220898 [details]
p5-Image-ExifTool-devel-12.12.patch

fix portlint -AC
Comment 7 commit-hook freebsd_committer 2021-01-09 19:00:11 UTC
A commit references this bug:

Author: rhurlin
Date: Sat Jan  9 18:59:14 UTC 2021
New revision: 560886
URL: https://svnweb.freebsd.org/changeset/ports/560886

Log:
  graphics/p5-Image-ExifTool-devel: Update to 12.14

  Update of the development version from 10.66 (Nov. 14, 2017)
  to recent 12.14.

  Changelog: https://exiftool.org/history.html

  PR:		252047
  Submitted by:	takefu@airport.fm
  Approved by:	arrowd (mentor), + maintainer timout (> 2 weeks)
  Differential Revision:	https://reviews.freebsd.org/D28063

Changes:
  head/graphics/p5-Image-ExifTool-devel/Makefile
  head/graphics/p5-Image-ExifTool-devel/distinfo
  head/graphics/p5-Image-ExifTool-devel/pkg-descr
  head/graphics/p5-Image-ExifTool-devel/pkg-plist
Comment 8 Rainer Hurling freebsd_committer 2021-01-09 19:01:49 UTC
Committed, thanks :)